import { IScope } from '../types';
export declare function isJsCode(value: unknown): boolean;
export declare function generateExpression(value: any, scope: IScope): string;
export declare function generateFunction(value: any, config?: {
    name?: string;
    isMember?: boolean;
    isBlock?: boolean;
    isArrow?: boolean;
    isBindExpr?: boolean;
}): string;
